Create candidate tags
POST
/ats/candidates/:candidate_id/tags
This endpoint replaces all existing tags associated with a candidate with a new set. Use this when updating candidate tags is necessary.
Token scopes: ats:write
Authentication
AuthorizationBearer
## Authentication
Deel API uses API tokens to authenticate requests. A bearer token is required to authenticate all API requests.
All API requests must be made over HTTPS. Calls made over plain HTTP will fail. API requests without authentication will also fail.
``` curl -X GET 'api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ```
### Generating Access Tokens 1. Navigate to **Apps & Perks > Developer Center**. 2. Click on the “Generate New Token” button. 3. In the popup, click “Generate Token” button to generate a new token. Your newly generated token is visible on the screen. 4. Make sure to copy and save your token once is generated. You won't be able to see it again!
OR
AuthorizationBearer
Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/
Path parameters
candidate_idstringRequired
format: "uuid"The unique identifier of the candidate.
Request
This endpoint expects an object.
tag_idslist of stringsRequired
List of tag IDs to associate with the candidate
Response
Successfully created
datalist of objects
List of created candidate-tag associations.